<!--
  - SPDX-FileCopyrightText: 2023 Nextcloud GmbH and Nextcloud contributors
  - SPDX-License-Identifier: AGPL-3.0-or-later
-->

<template>
	<WizardPage :scroller-classes="scrollerClasses"
		title="Bienvenue dans votre espace Framaspace !">
		<div :class="$style.content">
			<p>
				<span><b :class="$style.violet">Frama</b><b :class="$style.orange">space</b></span> est un service collaboratif de stockage et
				partage de documents, agendas, contacts, etc.
			</p>
			<p>
				Les prochains panneaux d'information vont vous permettre de
				découvrir les possibilités de votre espace, et comment
				trouver de l'aide auprès de la communauté. Vous pouvez
				passer au panneau suivant à l'aide du bouton à droite de
				votre écran. Vous pourrez relire l'ensemble des panneaux de
				Bienvenue via le menu «&nbsp;À propos&nbsp;».
			</p>

			<p>
				Pour rappel, <span><b :class="$style.violet">Frama</b><b :class="$style.orange">space</b></span> est un des <a target="_blank" href="https://degooglisons-internet.org">multiples
					services</a> de l'association <a target="_blank" href="https://framasoft.org">Framasoft</a>.
			</p>
			<p>
				Nous fournissons gratuitement ces espaces à des milliers
				d'associations et collectifs militants car nous pensons
				qu'il est essentiel de pouvoir mettre en cohérence les
				valeurs de ces structures avec les outils numériques
				qu'elles utilisent.
			</p>
			<p>
				<b>Avec <span><b :class="$style.violet">Frama</b><b :class="$style.orange">space</b></span>, nous voulons accroître les capacités de
					collaboration numérique libre de ces structures, afin de
					renforcer leur pouvoir d’agir</b> (lire <a target="_blank"
					href="https://framablog.org/2022/11/15/frama-space-du-cloud-pour-renforcer-le-pouvoir-dagir-des-associations/">notre
					article d'annonce</a> pour en savoir plus).
			</p>
			<p>
				Framasoft ne vit que de vos dons et ne perçoit aucune
				subvention. Si ce projet vous semble en valoir la peine,
				vous pouvez aider Framasoft à fournir et maintenir ces
				espaces, en <a target="_blank"
					href="https://soutenir.framasoft.org/?mtm_campaign=space&mtm_kwd=onboarding">nous
					soutenant financièrement</a>.
			</p>

			<p :class="$style.version">
				{{ versionNumber }}
			</p>
		</div>
	</WizardPage>
</template>

<script setup lang="ts">
import WizardPage from '../WizardPage.vue'

defineProps<{
	scrollerClasses?: string | string[] | Record<string, boolean>
}>()

const versionNumber = `Cet espace Framaspace est basé sur la version ${window.OC.config.versionstring} de Nextcloud`
</script>

<style module>
.icon {
	margin-block: calc((1lh - 20px) / 2);
}

.version {
	color: var(--color-text-maxcontrast);
	margin-block: calc(var(--default-grid-baseline) * 4) 0;
	text-align: center;
}

.content {
  display: flex;
  flex-wrap: wrap;
  gap: calc(var(--default-grid-baseline) * 6);
  margin: calc(var(--default-grid-baseline) * 10) 0;
  justify-content: start;
  margin-top: 0;
}

.content a {
	text-decoration: underline;
	color: var(--color-primary-element);
}

.violet {
  color: #725794;
}
.orange {
  color: #cc4e13;
}
</style>
